Bug 647433 - Mali keyboard layout is wrong (Malayalam layout is given)
Summary: Mali keyboard layout is wrong (Malayalam layout is given)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xkeyboard-config
Version: 17
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-28 10:50 UTC by Denis Jacquerye
Modified: 2013-02-18 06:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-20 03:14:34 UTC
Type: ---


Attachments (Terms of Use)

Description Denis Jacquerye 2010-10-28 10:50:13 UTC
Description of problem:
When adding layouts, selected the Mali layout won't show any layout preview.
Once added, the keyboard applet crashes.

Version-Release number of selected component (if applicable):
Version with Fedora 14.

Comment 1 Peter Hutterer 2010-10-29 05:59:16 UTC
please update to xorg-x11-xkb-utils-7.4-9.fc14 and xkeyboard-config-1.9-6.fc14 if you haven't already done so.

Comment 2 Denis Jacquerye 2010-10-29 14:19:36 UTC
Updating to xorg-x11-xkb-utils-7.4-9.fc14 and xkeyboard-config-1.9-6.fc14 changes a couple of things.

The Mali layouts can now be viewed in preview, but they are incorrect.
All 4 are the same (a copy of India Malayalam) when they should be different (2 AZERTY and 2 QWERTY).

Comment 3 Peter Hutterer 2012-06-26 06:09:52 UTC
This bug was filed against Fedora 14 which is now EOL. Please re-open this bug if you still experience this issue with one of the currently suppported versions of Fedora. Don't forget to update the version field if you do so.

Comment 4 Denis Jacquerye 2012-06-26 15:38:16 UTC
Re-opening the bug. Can only set status of bug to Assigned or Closed, can't go back to New so setting it to Assigned.
Changed the title since the applet doesn't crash anymore when one of the Mali layouts is selected and added, preview works too.
But it's still not the right layouts in F17, it's Malayalam (language) layouts instead of Mali (country) layouts.

The broken layouts are:
Bambara
English (Mali, US international)
English (Mali, US Macintosh)
French (Mali, alternative)

Comment 5 Peter Hutterer 2012-07-23 06:26:39 UTC
confirmed, when selecting any Mali layout in gnome, the layout applied is actually "in(mal)". gsettings stores the correct layout though ("ml(us-intl)"), so something else is wrong here.

Comment 6 Fedora End Of Life 2012-08-16 22:11:33 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Denis Jacquerye 2012-08-16 23:47:25 UTC
Oh boy. Reopening and setting version to latest, 17.

Comment 8 Fedora Update System 2013-01-02 01:17:23 UTC
xkeyboard-config-2.6-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xkeyboard-config-2.6-6.fc18

Comment 9 Fedora Update System 2013-01-02 01:23:41 UTC
xkeyboard-config-2.5.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xkeyboard-config-2.5.1-4.fc17

Comment 10 Fedora Update System 2013-01-02 20:20:02 UTC
Package xkeyboard-config-2.6-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xkeyboard-config-2.6-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0077/xkeyboard-config-2.6-6.fc18
then log in and leave karma (feedback).

Comment 11 Denis Jacquerye 2013-01-03 22:24:36 UTC
I installed the package xkeyboard-config-2.6-6.fc18. It seems to be fixed now.
The Bambara, French (Mali, alternate), English (Mali, US International), English (Mali, US Macintosh) don't show Malayalam characters but Latin letters, including some of those used in Mali.

I left a comment on admin.fedoraproject.org for the update.

Comment 12 Fedora Update System 2013-01-20 03:14:36 UTC
xkeyboard-config-2.6-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-02-18 06:54:03 UTC
xkeyboard-config-2.5.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.